<?php
namespace Mirasvit\LayeredNavigation\Block\Navigation\State;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Navigation\State
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Navigation\State implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LayeredNavigation\Model\Config\SeoConfigProvider $seoConfigProvider, \Mirasvit\LayeredNavigation\Model\ConfigProvider $configProvider, \Magento\Framework\View\Element\Template\Context $context, \Magento\Catalog\Model\Layer\Resolver $layerResolver, \Mirasvit\LayeredNavigation\Model\Config\StateBarConfigProvider $stateBarConfigProvider, array $data = [])
    {
        $this->___init();
        parent::__construct($seoConfigProvider, $configProvider, $context, $layerResolver, $stateBarConfigProvider, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getClearUrl()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getClearUrl');
        return $pluginInfo ? $this->___callPlugins('getClearUrl', func_get_args(), $pluginInfo) : parent::getClearUrl();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
